.\" gd_hidden.3.  The gd_hidden man page.
.\"
.\" Copyright (C) 2012, 2013, 2015 D. V. Wiebe
.\"
.\""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\"
.\" This file is part of the GetData project.
.\"
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
.\" Texts.  A copy of the license is included in the `COPYING.DOC' file
.\" as part of this distribution.
.\"
.TH gd_hidden 3 "5 November 2015" "Version 0.9.1" "GETDATA"
.SH NAME
gd_hidden \(em check whether a dirfile entry is hidden or not
.SH SYNOPSIS
.B #include <getdata.h>
.HP
.nh
.ad l
.BI "int gd_hidden(const DIRFILE *" dirfile ", const char"
.BI * entry_name );
.hy
.ad n
.SH DESCRIPTION
The
.BR gd_hidden ()
function queries a dirfile(5) database specified by
.I dirfile
and indicates whether the field or alias called
.IR entry_name
is hidden or not.  This information is also available in the entry object
proved by
.BR gd_entry (3).

A hidden entry does not appear in the field lists returned by the functions
.BR gd_field_list (3),
.BR gd_field_list_by_type (3),
.BR gd_vectors (3),
.BR gd_constants (3),
and
.BR gd_strings (3).
These omissions are also reflected in the counts returned by the corresponding
field counting functions
.RB ( gd_nfields (3),
&c.).
.SH RETURN VALUE
Upon successful completion,
.BR gd_hidden ()
returns one if the field or alias is hidden, or zero if the entry is not hidden.
On error it returns -1 and sets the dirfile error a non-zero error value.  (As a
result, the caller checking simply whether the return value of this function is
non-zero is usually an error.)  Possible error values are:
.TP 8
.B GD_E_BAD_CODE
The field specified by
.I field_code
was not found in the database.
.TP
.B GD_E_BAD_DIRFILE
The supplied dirfile was invalid.
.PP
The dirfile error may be retrieved by calling
.BR gd_error (3).
A descriptive error string for the last error encountered can be obtained from
a call to
.BR gd_error_string (3).

.SH SEE ALSO
.BR gd_entry (3),
.BR gd_field_list (3),
.BR gd_hide (3),
.BR gd_nfields (3),
.BR gd_open (3),
.BR gd_unhide (3),
.BR dirfile (5)
